Subject: Re: Proposal on Small shared libs

From: Ian Jackson <[email-masked]>
Date: Mon, 8 Jul 96 02:09 BST

Heiko Schlittermann writes ("Re: Proposal on Small shared libs"):
...
> Or as another (or additional) approach -- what about defining
> `meta packages', so the dpkg user could simply do a
> 
>         dpkg --install-meta tex 
> or even
>         dpkg --install-meta misc_libs

dselect's sections are pretty close to this, but perhaps not small
enough.

> And just another suggestion:
>         dpkg --install --autoresolve xv*deb
> 
> would install all needed x11 files (since xv needs x11) plus
> all the other dependencies and requirements needed to run xv.
> 
> As extreme:  I've a mostly naked system (just the base disks intalled
> and know, this system is only needed as ... web server, and perhaps
> I know, that the webserver is apache*deb, I'd like to say
>         dpkg --install --autoresolve apache*.deb
> and I'd like to have a coffee break ;-).

dselect does this.

Ian.